# frozen_string_literal: true

require_relative "lib/l1a_prep/version"

Gem::Specification.new do |spec|
  spec.name          = "l1a_prep"
  spec.version       = L1aPrep::VERSION
  spec.authors       = ["Kyle Crews"]
  spec.email         = ["dev.kylecrews@gmail.com"]

  spec.summary       = "Simple quiz application to prep for the L1A Assessment"
  spec.description   = "CLI Quiz to prep for the L1A Assessment"
  spec.homepage      = "https://github.com/kyle-crews/L1A-Prep"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  #spec.metadata["allowed_push_host"] = "https://github.com/kyle-crews/L1A-Prep"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency "tty-prompt", ">= 0.22.0"
  spec.add_dependency "colorize", ">= 0.8.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end